Google Web Toolkit
Search Google Code:

# Class RequestException

public class RequestException
extends Exception
// Superclass of `RequestPermissionException`, `RequestTimeoutException`
RequestException is the superclass for the HTTP request related exceptions.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

    <!--                                                                        -->
    <!-- Copyright 2007 Google Inc.                                             -->
    <!-- Licensed under the Apache License, Version 2.0 (the "License"); you    -->
    <!-- may not use this file except in compliance with the License. You may   -->
    <!-- may obtain a copy of the License at                                    -->
    <!--                                                                        -->
    <!-- http://www.apache.org/licenses/LICENSE-2.0                             -->
    <!--                                                                        -->
    <!-- Unless required by applicable law or agreed to in writing, software    -->
    <!-- distributed under the License is distributed on an "AS IS" BASIS,      -->
    <!-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or        -->
    <!-- implied. License for the specific language governing permissions and   -->
    <!-- limitations under the License.                                         -->

    <module>
      <!-- other inherited modules, such as com.google.gwt.user.User -->
      <inherits name="com.google.gwt.http.HTTP"/>
      <!-- additional module settings -->
    </module>

## Constructors

RequestException() |
RequestException(String) |
RequestException(Throwable) |
RequestException(String, Throwable) |

## Constructor Detail

### RequestException

public RequestException()

### RequestException

public RequestException(String message)

#### Parameters

message

### RequestException

public RequestException(Throwable cause)

#### Parameters

cause

### RequestException

public RequestException(String message, Throwable cause)

#### Parameters

message
cause